Migration auf 2.5

Status: Finished
Branch: https://gitlab.com/joomleague/joomleague/tree/1.6.0

Moderator: And_One

chrissie
Newbie
Posts: 13
Joined: Mon Jan 27, 2014 6:29 pm

Migration auf 2.5

Postby chrissie » Thu Feb 13, 2014 1:08 pm

Hallo, ist es notwendig, Joomleague in Joomla 1.5 vor einer Migration auf 1.6 upzudaten?
Momentan habe ich Version 0.93 installiert.

And_One
Joomleague Project Manager, Donator
Joomleague Project Manager, Donator
Posts: 3609
Joined: Fri Sep 11, 2009 4:00 pm
Joomleague version: 2.0.x
Location: Graz
Contact:

Re: Migration auf 2.5

Postby And_One » Thu Feb 13, 2014 5:57 pm

Von welcher Version willst du auf welche Version den Updaten?

chrissie
Newbie
Posts: 13
Joined: Mon Jan 27, 2014 6:29 pm

Re: Migration auf 2.5

Postby chrissie » Tue Feb 25, 2014 10:44 am

Ich will joomla 1.5 auf joomla 2.5 updaten, habe auch schon eine neue joomla installation erstellt und dort nach der migrationsanleitung joomleague von 0.93 auf 1.5 migriert. Wenn ich aber die Anleitung richtig verstehe, muss ich nun erst einmal in einem nächsten Schritt auf Version 1.6 migrieren. Allerdings habe ich noch nicht genau verstanden, wie.

chrissie
Newbie
Posts: 13
Joined: Mon Jan 27, 2014 6:29 pm

Re: Migration auf 2.5

Postby chrissie » Tue Feb 25, 2014 7:51 pm

ok, auch das hat schlussendlich geklappt. Leider jedoch habe ich es noch nicht geschafft, die Daten nun in die neue 2er version zu importieren. Also ich habe so wie in der Anleitung beschrieben, die 1.6er Version aus meiner Joomla 1.5 Datenbank in die neue Joomla 2.5 Datenbank importiert mit dem Präfix jos. Anschliessend habe ich im Admin Bereich erst die Datenbank Tabellen erneuert und dann die Migration von 1.6 auf 2.0 durchgeführt. Leider hat beides nicht zu dem gewünschten Erfolg geführt. In meiner neuen Joomleague Installation sind keinerlei Daten übernommen worden!

Weiß jemand, was ich falsch gemacht habe?!
Danke im Voraus!

And_One
Joomleague Project Manager, Donator
Joomleague Project Manager, Donator
Posts: 3609
Joined: Fri Sep 11, 2009 4:00 pm
Joomleague version: 2.0.x
Location: Graz
Contact:

Re: Migration auf 2.5

Postby And_One » Tue Feb 25, 2014 7:58 pm

Ohne daten tippe ich auf den Präfix

chrissie
Newbie
Posts: 13
Joined: Mon Jan 27, 2014 6:29 pm

Re: Migration auf 2.5

Postby chrissie » Wed Feb 26, 2014 10:05 am

Das heisst?

And_One
Joomleague Project Manager, Donator
Joomleague Project Manager, Donator
Posts: 3609
Joined: Fri Sep 11, 2009 4:00 pm
Joomleague version: 2.0.x
Location: Graz
Contact:

Re: Migration auf 2.5

Postby And_One » Wed Feb 26, 2014 10:25 am

Keine Daten (z.b keine Projekte) bedeutet es ist in der Tabelle (#__joomleague_project) kein Inhalt.

chrissie
Newbie
Posts: 13
Joined: Mon Jan 27, 2014 6:29 pm

Re: Migration auf 2.5

Postby chrissie » Wed Feb 26, 2014 10:32 am

also d.h. ich muss den präfix vorm importieren an die neue joomla installation anpassen?
kann ich denn dann die bestehenden tabellen einfach überschrieben oder muss ich die vorher löschen? und ist das die gleiche datenstruktur wie in joomla 2.5?

chrissie
Newbie
Posts: 13
Joined: Mon Jan 27, 2014 6:29 pm

Re: Migration auf 2.5

Postby chrissie » Fri Feb 28, 2014 2:42 pm

so, ich habe also den Datenbankpräfix von jos auf j25 geändert, erhalte aber durchweg nur Fehlermeldungen. Ganz zum Schluß heißt es dann:

#1054 - Unknown column 'admin' in 'field list'

Und so wie ich das sehe, wurde nichts von den Daten übernommen.

And_One
Joomleague Project Manager, Donator
Joomleague Project Manager, Donator
Posts: 3609
Joined: Fri Sep 11, 2009 4:00 pm
Joomleague version: 2.0.x
Location: Graz
Contact:

Re: Migration auf 2.5

Postby And_One » Fri Feb 28, 2014 2:45 pm

jetzt würde ich dir eine neuinstallation der joomleague komponente vorschlagen ... anscheinend hast du da eine uralte version

chrissie
Newbie
Posts: 13
Joined: Mon Jan 27, 2014 6:29 pm

Re: Migration auf 2.5

Postby chrissie » Sat Mar 01, 2014 11:54 am

1.9 ist uralt? Nein, ich denke, es ist die aktuellste. Also teilweise sind Daten in die Datenbank übernommen worden, werden aber in der Joomleague Komponente nicht angezeigt. Einige Tabellen aus Version 1.6 existieren in der neuen Version gar nicht mehr. Also irgendwie haut das wohl nicht so ganz hin.


Return to “1.6.0-nathalie (Joomla: 1.5.x) - not supported”

Who is online

Users browsing this forum: No registered users and 1 guest